__gnu_profile::__list2vector_info Class Reference

`#include <profiler_list_to_vector.h>`

Inheritance diagram for __gnu_profile::__list2vector_info:
[legend]

## Public Member Functions

| __list2vector_info (__stack_t __stack)
std::string | __advice () const
bool | __is_valid () const
std::size_t | __iterate ()
float | __list_cost ()
float | __magnitude () const
void | __merge (const __list2vector_info &__o)
void | __merge (const __object_info_base &__o)
void | __opr_insert (std::size_t __shift, std::size_t __size)
void | __opr_iterate (int __num)
std::size_t | __resize ()
void | __resize (std::size_t __from, std::size_t)
void | __set_invalid ()
void | __set_list_cost (float __lc)
void | __set_vector_cost (float __vc)
std::size_t | __shift_count ()
__stack_t | __stack () const
void | __write (FILE *__f) const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

A list-to-vector instrumentation line in the object table.

Definition at line 42 of file profiler_list_to_vector.h.

## Constructor & Destructor Documentation

## __list2vector_info()

__gnu_profile::__list2vector_info::__list2vector_info | ( | __stack_t | __stack | ) |

inline

Definition at line 46 of file profiler_list_to_vector.h.

## Member Function Documentation

## __advice()

std::string __gnu_profile::__list2vector_info::__advice | ( |  | ) | const

inline

Definition at line 75 of file profiler_list_to_vector.h.

## __is_valid()

bool __gnu_profile::__object_info_base::__is_valid | ( |  | ) | const

inline inherited

Definition at line 134 of file profiler_node.h.

## __iterate()

std::size_t __gnu_profile::__list2vector_info::__iterate | ( |  | ) |

inline

Definition at line 89 of file profiler_list_to_vector.h.

## __list_cost()

float __gnu_profile::__list2vector_info::__list_cost | ( |  | ) |

inline

Definition at line 93 of file profiler_list_to_vector.h.

## __magnitude()

float __gnu_profile::__list2vector_info::__magnitude | ( |  | ) | const

inline

Definition at line 71 of file profiler_list_to_vector.h.

## __merge() [1/2]

void __gnu_profile::__list2vector_info::__merge | ( | const __list2vector_info & | __o | ) |

inline

Definition at line 52 of file profiler_list_to_vector.h.

## __merge() [2/2]

void __gnu_profile::__object_info_base::__merge | ( | const __object_info_base & | __o | ) |

inline inherited

Definition at line 142 of file profiler_node.h.

## __opr_insert()

void __gnu_profile::__list2vector_info::__opr_insert | ( | std::size_t | __shift,
|  | std::size_t | __size
| ) |  |

inline

Definition at line 109 of file profiler_list_to_vector.h.

## __opr_iterate()

void __gnu_profile::__list2vector_info::__opr_iterate | ( | int | __num | ) |

inline

Definition at line 116 of file profiler_list_to_vector.h.

## __resize() [1/2]

std::size_t __gnu_profile::__list2vector_info::__resize | ( |  | ) |

inline

Definition at line 97 of file profiler_list_to_vector.h.

## __resize() [2/2]

void __gnu_profile::__list2vector_info::__resize | ( | std::size_t | __from,
|  | std::size_t |
| ) |  |

inline

Definition at line 120 of file profiler_list_to_vector.h.

## __set_invalid()

void __gnu_profile::__object_info_base::__set_invalid | ( |  | ) |

inline inherited

Definition at line 138 of file profiler_node.h.

## __set_list_cost()

void __gnu_profile::__list2vector_info::__set_list_cost | ( | float | __lc | ) |

inline

Definition at line 101 of file profiler_list_to_vector.h.

## __set_vector_cost()

void __gnu_profile::__list2vector_info::__set_vector_cost | ( | float | __vc | ) |

inline

Definition at line 105 of file profiler_list_to_vector.h.

## __shift_count()

std::size_t __gnu_profile::__list2vector_info::__shift_count | ( |  | ) |

inline

Definition at line 85 of file profiler_list_to_vector.h.

## __stack()

__stack_t __gnu_profile::__object_info_base::__stack | ( |  | ) | const

inline inherited

Definition at line 146 of file profiler_node.h.

## __write()

void __gnu_profile::__list2vector_info::__write | ( | FILE * | __f | ) | const

inline

Definition at line 64 of file profiler_list_to_vector.h.

## Member Data Documentation

## _M_stack

__stack_t __gnu_profile::__object_info_base::_M_stack

protected inherited

Definition at line 150 of file profiler_node.h.

## _M_valid

bool __gnu_profile::__object_info_base::_M_valid

protected inherited

Definition at line 151 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_list_to_vector.h